{{- define "deploy_registry" -}}
  {{ .Values.deploy_registry | default "swr.cn-north-4.myhuaweicloud.com" }}
{{- end -}}
# image
{{- define "image.alertmanager" -}}
  alertmanager:v0.20.0-arm64
{{- end -}}
{{- define "image.mariadb" -}}
  mariadb:10.5.19-arm64
{{- end -}}
{{- define "image.k8s-dashboard" -}}
  k8s-dashboard-imanager:v1.8.3-arm64
{{- end -}}
{{- define "image.elasticsearch" -}}
  elasticsearch-imanager:6.8.23-arm64
{{- end -}}
{{- define "image.tiny-tools" -}}
  tiny-tools:1.0-arm64
{{- end -}}
{{- define "image.fluentd-elasticsearch" -}}
  fluentd-kubernetes-daemonset:v1.14-debian-elasticsearch6-1-arm64
{{- end -}}
{{- define "image.kibana" -}}
  kibana-imanager:6.8.23-arm64
{{- end -}}
{{- define "image.metrics-server" -}}
  metrics-server:v0.4.5-arm64
{{- end -}}
{{- define "image.node-exporter" -}}
  node-exporter:v0.18.1-arm64
{{- end -}}
{{- define "image.kube-state-metrics" -}}
  kube-state-metrics:v2.2.4-arm64
{{- end -}}
{{- define "image.phpmyadmin" -}}
  phpmyadmin:5.2.1-arm64
{{- end -}}
{{- define "image.nginx-ingress-controller" -}}
  nginx-ingress-controller:v1.2.1-arm64
{{- end -}}
{{- define "image.prometheus" -}}
  prometheus:v2.41.0-arm64
{{- end -}}
{{- define "image.nfs-client-provisioner" -}}
  nfs-subdir-external-provisioner:v4.0.2-arm64
{{- end -}}
{{- define "image.postgres" -}}
  postgres:10-arm64
{{- end -}}
{{- define "image.blackbox-exporter" -}}
  blackbox-exporter-linux:v0.18.0-arm64
{{- end -}}
{{- define "image.consul" -}}
  consul:1.5.1-arm64
{{- end -}}
{{- define "image.redis" -}}
  redis:5.0.9-arm64
{{- end -}}
{{- define "image.blackbox-exporter-proxy" -}}
  blackbox-exporter-proxy:1.0-arm64
{{- end -}}
{{- define "image.ssl-exporter" -}}
  ssl-exporter:2.4.2-arm64
{{- end -}}
# others
{{- define "elasticsearch_xpack_ml_enable" -}}
  false
{{- end -}}
